> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getarbol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update contact

> Update a contact's information, contact points, or addresses.



## OpenAPI

````yaml PATCH /contacts/{contactId}
openapi: 3.0.3
info:
  title: Arbol API
  description: >-
    The Arbol API enables you to programmatically manage voice AI agents,
    contacts, conversations, campaigns, and more. Build powerful voice AI
    integrations with a developer-first REST API.
  version: 1.0.0
  contact:
    name: Arbol Support
    url: https://getarbol.com/support
  license:
    name: Proprietary
servers:
  - url: https://api.getarbol.com/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Agents
    description: Manage voice AI agents
  - name: Contacts
    description: Manage contacts and their details
  - name: Conversations
    description: Manage voice conversations and calls
  - name: Campaigns
    description: Manage batch outbound call campaigns
  - name: Phone Numbers
    description: Manage provisioned phone numbers
  - name: Properties
    description: Manage custom property definitions
  - name: Tools
    description: Manage agent tools and integrations
  - name: Documents
    description: Manage knowledge base documents
  - name: Organization
    description: Manage organization settings
paths:
  /contacts/{contactId}:
    patch:
      tags:
        - Contacts
      summary: Update contact
      description: Update a contact's information, contact points, or addresses.
      operationId: updateContact
      parameters:
        - $ref: '#/components/parameters/ContactIdParam'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateContactInput'
      responses:
        '200':
          description: Updated contact
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    ContactIdParam:
      name: contactId
      in: path
      required: true
      schema:
        type: string
      description: Contact ID (cnt_ prefix)
  schemas:
    UpdateContactInput:
      type: object
      properties:
        givenName:
          type: string
        familyName:
          type: string
        contactPoints:
          type: array
          items:
            type: object
        addresses:
          type: array
          items:
            type: object
        summary:
          type: string
        metadata:
          type: object
    Contact:
      type: object
      properties:
        id:
          type: string
        givenName:
          type: string
        familyName:
          type: string
        displayName:
          type: string
        contactPoints:
          type: array
          items:
            $ref: '#/components/schemas/ContactPoint'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        aiSummary:
          type: string
          nullable: true
        metadata:
          type: object
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    ContactPoint:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ContactPointType'
        value:
          type: string
        label:
          type: string
        isPrimary:
          type: boolean
        isVerified:
          type: boolean
    Address:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/AddressType'
        streetAddress:
          type: string
        addressLocality:
          type: string
        addressRegion:
          type: string
        postalCode:
          type: string
        addressCountry:
          type: string
        isPrimary:
          type: boolean
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
        requestId:
          type: string
    ContactPointType:
      type: string
      enum:
        - EMAIL
        - PHONE
        - MOBILE
        - WHATSAPP
        - OTHER
    AddressType:
      type: string
      enum:
        - HOME
        - WORK
        - BILLING
        - SHIPPING
        - PRIMARY
        - OTHER
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Unauthorized:
      description: Authentication required
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your API key from the Arbol dashboard. Go to Settings > API Keys to
        generate one.

````